Subject: Re: [PATCH/RFC] ppc64 livepatch: frameless klp_return_helper using odd TOC

From: Michael Ellerman <[email-masked]>
Date: Thu, 24 Mar 2016 22:06:26 +1100

On Thu, 2016-03-24 at 09:04 +0100, Torsten Duwe wrote:
> On Thu, Mar 24, 2016 at 01:23:01PM +1100, Balbir Singh wrote:
> > On 24/03/16 02:58, Torsten Duwe wrote:
> > > 
> > > 1. Heuristics are bad. The better they are, the more subtly the
> > >    way they might fail.
> [...]

> 
> This CR+4 code leaves only 1 slot, so sibling calls are extremely dangerous,
> as I mentioned. But with a little attention, this patch works very well.
> 
> I mostly wanted to hear opinions about a transient odd TOC value
> before I start polishing.

Hi Torsten,

I just posted the version I've been working on. I prefer it, but you'll
probably tell me that there's some horrible case it doesn't handle correctly :)

cheers